#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 lsp
version:              1.4.0.0
visibility:           public
id:                   lsp-1.4.0.0-G1i2c3esm62Yn11UseB9Q
key:                  lsp-1.4.0.0-G1i2c3esm62Yn11UseB9Q
license:              MIT
copyright:            Alan Zimmerman, 2016-2021
maintainer:           alan.zimm@gmail.com
author:               Alan Zimmerman
homepage:             https://github.com/haskell/lsp
synopsis:             Haskell library for the Microsoft Language Server Protocol
description:
    An implementation of the types, and basic message server to
    allow language implementors to support the Language Server
    Protocol for their specific language.

    An example of this is for Haskell via the Haskell Language
    Server, at https://github.com/haskell/haskell-language-server

category:             Development
abi:                  eef6a91ccf67434d5d355f6415c8edbd
exposed:              True
exposed-modules:
    Language.LSP.Diagnostics, Language.LSP.Server,
    Language.LSP.Types from lsp-types-1.4.0.1-GcHyYpVAiYL8th3rJAiAjx:Language.LSP.Types,
    Language.LSP.Types.Capabilities from lsp-types-1.4.0.1-GcHyYpVAiYL8th3rJAiAjx:Language.LSP.Types.Capabilities,
    Language.LSP.Types.Lens from lsp-types-1.4.0.1-GcHyYpVAiYL8th3rJAiAjx:Language.LSP.Types.Lens,
    Language.LSP.VFS from lsp-types-1.4.0.1-GcHyYpVAiYL8th3rJAiAjx:Language.LSP.VFS

hidden-modules:
    Language.LSP.Server.Core Language.LSP.Server.Control
    Language.LSP.Server.Processing

import-dirs:          /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/lsp-1.4.0.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-lsp1.4
hs-libraries:         HSlsp-1.4.0.0-G1i2c3esm62Yn11UseB9Q
depends:
    aeson-2.1.2.1-7PAgiODdTr9Ups5Xz74Et
    async-2.2.5-IKGnBgxHhzZBAU5wJIOrS
    attoparsec-0.14.4-8413jM82KqU9TuMP1L2X5o base-4.16.4.0
    bytestring-0.11.4.0 containers-0.6.5.1
    data-default-0.7.1.1-9GBNV24Yu4s7ZWoH3HLxtI exceptions-0.10.4
    hashable-1.4.4.0-ICSz42nbRK83wekmmcsSsd
    hslogger-1.3.1.1-LVNHjoX60UH6gmMgalVoCJ
    lens-5.2.3-GRs4U9On1e2FVZcK8uMpJU
    lsp-types-1.4.0.1-GcHyYpVAiYL8th3rJAiAjx mtl-2.2.2
    network-uri-2.6.4.2-6OUT6HkeYIA58Yw1tpuuwi
    random-1.2.1.2-8fS8hBBEglaAbiAQyns8Hw
    scientific-0.3.7.0-D1DD1zIlC2X8n3NjkdptHx
    sorted-list-0.2.2.0-2VVmQuGxKFrIqKtXB5pcn8 stm-2.5.0.2 text-1.2.5.0
    time-1.11.1.1 transformers-0.5.6.2
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-3Feu7z7nwlQLAsn5Kud3bc
    uuid-1.3.15-FGWsoqmYkKu22U0tXclIFy

haddock-interfaces:   /usr/share/doc/haskell-lsp1.4/html/lsp.haddock
haddock-html:         /usr/share/doc/haskell-lsp1.4/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

